#ifdef HAVE_LIBINTL_H
#include <libintl.h>

inline void
gettext_init(void)
{
  setlocale (LC_ALL, "");
  bindtextdomain (PACKAGE, LOCALEDIR);
  textdomain (PACKAGE);
}
inline const char* gt(const char*text)
{
  return gettext(text);
}

#else
inline void
gettext_init(void)
{
}
inline const char*gt(const char*text)
{
  return text;
}
#endif

#include <errno.h>

#ifdef HAVE_PROGRAM_INVOCATION_NAME
extern const char* program_invocation_name;

inline const char*get_program_invocation_name(void)
{
  return program_invocation_name;
}
#else
inline const char*get_program_invocation_name(void)
{
  return PACKAGE;
}
#endif
#ifdef HAVE_PROGRAM_INVOCATION_SHORT_NAME
extern const char* program_invocation_short_name;

inline const char*get_program_invocation_short_name(void)
{
  return program_invocation_short_name;
}
#else
inline const char*get_program_invocation_short_name(void)
{
  return PACKAGE;
}
#endif
